com.hazelcast.client.config

## Class ClientIcmpPingConfig

- java.lang.Object
- - com.hazelcast.client.config.ClientIcmpPingConfig

-     public class ClientIcmpPingConfig
      extends Object

  Configuration for icmp ping failure detector of clients. ICMP ping is used to detect if machine that a remote hazelcast member runs on alive or not ICMP Ping detector will attempt `maxAttempts` times, one every `intervalMilliseconds`. and will wait up-to `timeoutMilliseconds`. for each to complete. In each attempt icmp will go through maximum `ttl` hops. If, after `maxAttempts`. are made , there was no successful ping, the member will get suspected.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_INTERVAL_MILLISECONDS` Default interval between icmp ping attempts see `intervalMilliseconds`
    `static int` | `DEFAULT_MAX_ATTEMPT` Default max number of attempts `maxAttempts`
    `static int` | `DEFAULT_TIMEOUT_MILLISECONDS` Default timeout for icmp detection in millis see `timeoutMilliseconds`
    `static int` | `DEFAULT_TTL` Default ttl for icmp packages `ttl`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientIcmpPingConfig()`
    `ClientIcmpPingConfig(ClientIcmpPingConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getIntervalMilliseconds()`
    `int` | `getMaxAttempts()`
    `int` | `getTimeoutMilliseconds()`
    `int` | `getTtl()`
    `int` | `hashCode()`
    `boolean` | `isEchoFailFastOnStartup()`
    `boolean` | `isEnabled()`
    `ClientIcmpPingConfig` | `setEchoFailFastOnStartup(boolean echoFailFastOnStartup)`
    `ClientIcmpPingConfig` | `setEnabled(boolean enabled)`
    `ClientIcmpPingConfig` | `setIntervalMilliseconds(int intervalMilliseconds)`
    `ClientIcmpPingConfig` | `setMaxAttempts(int maxAttempts)`
    `ClientIcmpPingConfig` | `setTimeoutMilliseconds(int timeoutMilliseconds)`
    `ClientIcmpPingConfig` | `setTtl(int ttl)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIMEOUT_MILLISECONDS

          public static final int DEFAULT_TIMEOUT_MILLISECONDS

      Default timeout for icmp detection in millis see `timeoutMilliseconds`
      See Also:
        Constant Field Values

    - #### DEFAULT_INTERVAL_MILLISECONDS

          public static final int DEFAULT_INTERVAL_MILLISECONDS

      Default interval between icmp ping attempts see `intervalMilliseconds`
      See Also:
        Constant Field Values

    - #### DEFAULT_TTL

          public static final int DEFAULT_TTL

      Default ttl for icmp packages `ttl`.
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_ATTEMPT

          public static final int DEFAULT_MAX_ATTEMPT

      Default max number of attempts `maxAttempts`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientIcmpPingConfig

          public ClientIcmpPingConfig()

    - #### ClientIcmpPingConfig

          public ClientIcmpPingConfig(ClientIcmpPingConfig config)

  - ### Method Detail

    - #### getTimeoutMilliseconds

          public int getTimeoutMilliseconds()

    - #### setTimeoutMilliseconds

          public ClientIcmpPingConfig setTimeoutMilliseconds(int timeoutMilliseconds)

    - #### getIntervalMilliseconds

          public int getIntervalMilliseconds()

    - #### setIntervalMilliseconds

          public ClientIcmpPingConfig setIntervalMilliseconds(int intervalMilliseconds)

    - #### isEchoFailFastOnStartup

          public boolean isEchoFailFastOnStartup()

    - #### setEchoFailFastOnStartup

          public ClientIcmpPingConfig setEchoFailFastOnStartup(boolean echoFailFastOnStartup)

    - #### getTtl

          public int getTtl()

    - #### setTtl

          public ClientIcmpPingConfig setTtl(int ttl)

    - #### getMaxAttempts

          public int getMaxAttempts()

    - #### setMaxAttempts

          public ClientIcmpPingConfig setMaxAttempts(int maxAttempts)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public ClientIcmpPingConfig setEnabled(boolean enabled)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019. All rights reserved.